%define upstream_name    IPC-SysV
%define upstream_version 2.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    System V shared memory, semaphores, messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl-devel
%description
A class providing an object based interface to SysV IPC message queues.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.90.0-7.mga10
+ Revision: 2226050
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 2.90.0-6.mga10
+ Revision: 2088079
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 2.90.0-5.mga10
+ Revision: 2010470
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.90.0-4.mga9
+ Revision: 1862047
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.90.0-3.mga9
+ Revision: 1795843
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.90.0-2.mga9
+ Revision: 1726738
- Rebuild for perl 5.34

* Sat Nov 14 2020 tv <tv> 2.90.0-1.mga8
+ Revision: 1645863
- update to 2.09

* Wed Jun 24 2020 tv <tv> 2.80.0-1.mga8
+ Revision: 1599043
- update to 2.08

* Wed Jun 17 2020 umeabot <umeabot> 2.70.0-9.mga8
+ Revision: 1594825
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.70.0-8.mga8
+ Revision: 1529608
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 2.70.0-7.mga8
+ Revision: 1433717
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.70.0-6.mga7
+ Revision: 1293200
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.70.0-5.mga7
+ Revision: 1249498
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.70.0-4.mga7
+ Revision: 1165030
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.70.0-3.mga7
+ Revision: 1148989
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.70.0-2.mga7
+ Revision: 1126566
- Rebuild against new Perl 5.26

* Thu May 19 2016 yuri_myasoedov <yuri_myasoedov> 2.70.0-1.mga6
+ Revision: 1016986
- replace '%%make test' with '%%make_build test'.
- update to new version 2.07.

* Fri Apr 15 2016 shlomif <shlomif> 2.60.0-1.mga6
+ Revision: 1001993
- update to 2.06

* Fri Feb 12 2016 umeabot <umeabot> 2.40.0-8.mga6
+ Revision: 957577
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.40.0-7.mga6
+ Revision: 843127
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.40.0-6.mga5
+ Revision: 744855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.40.0-5.mga5
+ Revision: 685109
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.40.0-4.mga5
+ Revision: 631296
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.40.0-3.mga5
+ Revision: 587954
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 2.40.0-2.mga4
+ Revision: 530314
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.40.0-1.mga4
+ Revision: 457104
- update to 2.04

* Wed May 29 2013 jquelin <jquelin> 2.30.0-9.mga4
+ Revision: 430764
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-8.mga3
+ Revision: 368659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30.0-7.mga3
+ Revision: 250791
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.30.0-6.mga2
+ Revision: 104700
- Rebuild for perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.30.0-5.mga1
+ Revision: 53617
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-4.mga1
+ Revision: 30568
- mageia rebuild
- imported package perl-IPC-SysV

